=== debian/changelog ===
apr-util (1.6.1-5ubuntu4) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:40:50 +0100

apr-util (1.6.1-5ubuntu3) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Fri, 03 Dec 2021 14:16:13 +0000

apr-util (1.6.1-5ubuntu2) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:43:56 -0400

apr-util (1.6.1-5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with
      MySQL 8. (LP: #1863026)
    - d/p/mysql8-my_init.patch: don't call my_init() since it's not
      exported anymore since MySQL 8.0.2 (LP: #1859773)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 20:30:18 +0000

apr-util (1.6.1-5) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove debug package libaprutil1-dbg.
  * Trim trailing whitespace.

  [ Xavier Guimard ]
  * Update signing-key.asc
  * Declare compliance with policy 4.2.1
  * Remove dependency version to libapr1-dev

  [ Stefan Fritsch ]
  * Build-depend on apr >> 1.7.0-1, which switched to python3.
    Remove the python build-dep in apr-util as libapr1-dev now has a
    fixed dependency on python3. Closes: #936129, #969064

 -- Stefan Fritsch <sf@debian.org>  Sat, 29 Aug 2020 11:51:07 +0200

apr-util (1.6.1-4ubuntu2) focal; urgency=medium

  * d/p/mysql8-my_init.patch: don't call my_init() since it's not
    exported anymore since MySQL 8.0.2 (LP: #1859773)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 04 Mar 2020 16:51:27 -0300

apr-util (1.6.1-4ubuntu1) focal; urgency=medium

  * Adjust Build-Depends to unambiguously require Python 2.
  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 18 Feb 2020 14:53:49 +0000

apr-util (1.6.1-4build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 01:59:30 +0000

apr-util (1.6.1-4) unstable; urgency=medium

  * Fix libaprutil1-dbd-mysql with mariadb 10.3. Closes: #926400

 -- Stefan Fritsch <sf@debian.org>  Sun, 21 Apr 2019 09:39:02 +0200

apr-util (1.6.1-3) unstable; urgency=medium

  [ Stefan Fritsch ]
  * Migrate from alioth to salsa

  [ Matthias Klose ]
  * Drop build dependency on libpcre3-dev. Closes: #909077. LP: #1792544.

 -- Stefan Fritsch <sf@debian.org>  Tue, 18 Sep 2018 21:14:24 +0200

apr-util (1.6.1-2) unstable; urgency=medium

  * Avoid empty build target, fixes FTBFS. Thanks to Niels Thykier for the
    patch. Closes: #890108
  * Fix handling of gdbm_errno in gdbm driver. Closes: #889170
  * Bump debhelper compat level to 11 and drop deprecated autotools-dev
    sequence. Thanks to Niels Thykier for the patch.
  * Bump Standards-Version (no changes)
  * Fix mysql/mariadb header detection, broken since 1.5.3-3.
  * Include NOTICE file in packages, as required by license.

 -- Stefan Fritsch <sf@debian.org>  Sun, 25 Feb 2018 12:40:36 +0100

apr-util (1.6.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2017-12618: Out-of-bounds access in corrupted SDBM database.
      Closes: #879996

 -- Stefan Fritsch <sf@debian.org>  Mon, 06 Nov 2017 19:48:34 +0100
