=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: apr-util
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
+Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
 Uploaders: Stefan Fritsch <sf@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>> 11~),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 11),
                autoconf,
                mawk,
                libldap2-dev,
                libexpat1-dev,
                libdb-dev,
+               libcrypt-dev,
                libgdbm-dev,
-               libapr1-dev (>> 1.7.0-0~),
+               libapr1-dev (>> 1.7.2-3.2~),
                libsqlite3-dev,
                libpq-dev,
                default-libmysqlclient-dev,
                unixodbc-dev,
                doxygen,
                libssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/apache-team/apr-util
 Vcs-Git: https://salsa.debian.org/apache-team/apr-util.git
-Homepage: http://apr.apache.org/
+Homepage: https://apr.apache.org/
 
-Package: libaprutil1
+Package: libaprutil1t64
+Provides: ${t64:Provides}
+Replaces: libaprutil1
+Breaks: libaprutil1 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libapr1 (<< 1.4.8-2~)
 Description: Apache Portable Runtime Utility Library
  APR is Apache's Portable Runtime Library, designed to be a support library
  that provides a predictable and consistent interface to underlying
@@ -41,7 +43,7 @@
 Package: libaprutil1-ldap
 Architecture: any
 Multi-Arch: same
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -58,7 +60,7 @@
 Package: libaprutil1-dbd-mysql
 Architecture: any
 Multi-Arch: same
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -75,7 +77,7 @@
 Package: libaprutil1-dbd-sqlite3
 Architecture: any
 Multi-Arch: same
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -92,7 +94,7 @@
 Package: libaprutil1-dbd-odbc
 Architecture: any
 Multi-Arch: same
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -109,7 +111,7 @@
 Package: libaprutil1-dbd-pgsql
 Architecture: any
 Multi-Arch: same
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -126,7 +128,7 @@
 Package: libaprutil1-dev
 Architecture: any
 Section: libdevel
-Depends: libaprutil1 (= ${binary:Version}),
+Depends: libaprutil1t64 (= ${binary:Version}),
          libldap2-dev,
          libexpat1-dev,
          libapr1-dev,
