=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,7 @@
 SHELL    := /bin/bash
 BUILDDIR := debian/build
 
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 # configure takes ages to test for all db versions. Provide the installed
 # version to speed things up.
@@ -82,7 +78,7 @@
 endif
 
 override_dh_auto_build:
-	dh_auto_build --parallel -B$(BUILDDIR)
+	dh_auto_build -B$(BUILDDIR)
 	$(MAKE) $(MAKEARGS) -C $(BUILDDIR) dox
 
 #
@@ -105,9 +101,8 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 	perl -p -i -e "s,^dependency_libs=.*,dependency_libs=''," debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libaprutil-1.la
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libaprutil1-dbg (<= 1.6.1-3)'
+	# Remove the buildpath: https://reproducible-builds.org/docs/build-path/
+	perl -p -i -e "s,$(CURDIR),BUILDPATH," debian/tmp/usr/bin/apu-1-config
 
 # The -X option causes the internal-use-only driver libs to be ignored
 override_dh_makeshlibs:
