=== debian/watch ===
Version: 5

Source: http://www.apache.org/dist/apr/
Matching-Pattern: apr-util-(1\..*)\.tar\.gz
Pgpsigurlmangle: s/$/.asc/
